package app.issue.commons.java;

/**
 * @author abatra
 */
public class OneOff<T> {

    private T object;

    public OneOff(T object) {
        this.object = object;
    }

    public T get() {
        T object = this.object;
        this.object = null;
        return object;
    }
}
